package com.agfa.wildfly.prefix;

import java.util.UUID;

import javax.inject.Inject;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

@Path("password")
@Produces({MediaType.TEXT_PLAIN})
public class PasswordResources {
    @Inject
    PrefixProvider prefixProvider;
    
    @GET
    public Response generate() {
        // Generate a fake string
        return Response.ok(prefixProvider.getPrefix() + UUID.randomUUID().toString()).build();
    }
}
